package com.zcloud.service.onlinexxks.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno3.teacher.TeacherMapper;
import com.zcloud.service.onlinexxks.TeacherCertificateService;
import com.zcloud.service.onlinexxks.TeacherService;

/**
 * 说明：教师管理
 * 作者：luoxiaobao
 * 时间：2022-03-04
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class TeacherServiceImpl implements TeacherService {

	@Autowired
	private TeacherMapper teacherMapper;

	@Autowired
	private TeacherCertificateService teachercertificateService;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		teacherMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		teacherMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		teacherMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return teacherMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return teacherMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return teacherMapper.findById(pd);
	}

	@Override
	public PageData info(PageData pd) throws Exception {
		PageData info = teacherMapper.findById(pd);
		info.put("certificateList", teachercertificateService.listByTeacher(info));
		return info;
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		teacherMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return teacherMapper.findByIds(pd);
	}
	/** 列表选择获取数据
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public List<PageData> listAllBySelect(PageData pd) throws Exception {
		return teacherMapper.listAllBySelect(pd);
	}

}

